# pydatavolley

A python package for reading volleyball scouting files in DataVolley
format (\*.dvw).

Work in progress.

### Installation

    pip install pydatavolley
    pip install --upgrade pydatavolley

### Example

Example file (using read_dv.DataVolley(None) will use example file) will
read if no path is provided:

``` python
import pandas as pd
from janitor import remove_empty
from datavolley import read_dv
pd.set_option('display.max_rows', 50)
pd.set_option('display.max_columns', 500)
pd.set_option('display.width', 280)
dv_instance = read_dv.DataVolley(None)
df = dv_instance.get_plays()
print('All skills\n' + remove_empty(df[df['skill'].notna()]).head(40).to_string())

print('Attacks filtered\n' + remove_empty(df[df['skill'] == 'Attack']).head(20).to_string())
```

    All skills
                                    match_id video_file_number video_time                code                      team player_number         player_name player_id      skill evaluation_code setter_position attack_code set_code set_type start_zone end_zone end_subzone num_players_numeric home_team_score visiting_team_score home_setter_position visiting_setter_position custom_code home_p1 home_p2 home_p3 home_p4 home_p5 home_p6 visiting_p1 visiting_p2 visiting_p3 visiting_p4 visiting_p5 visiting_p6  start_coordinate  mid_coordinate  end_coordinate point_phase   attack_phase start_coordinate_x start_coordinate_y mid_coordinate_x mid_coordinate_y end_coordinate_x end_coordinate_y set_number                 home_team         visiting_team home_team_id visiting_team_id              point_won_by              serving_team            receiving_team  rally_number custom_code  possesion_number
    0   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        494   *19SM+~~~78A~~~00  University of Louisville            19     Shannon Shields   -296094      Serve               +               1         NaN      NaN      NaN          7        8           A                 NaN              01                  00                    1                        6          00      19       9      11      15      10       7           1          16          17          10           6           8               431            <NA>            7642       Serve            nan            1.26875           0.092596             <NA>             <NA>          1.68125         5.425924          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1          00                 0
    1   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        495  a02RM-~~~58AM~~00B      University of Dayton             2       Maura Collins   -230138  Reception               -               6         NaN      NaN      NaN          5        8           A                 NaN              01                  00                    1                        6         00B      19       9      11      15      10       7           1          16          17          10           6           8               431            <NA>            7642   Reception            nan            1.26875           0.092596             <NA>             <NA>          1.68125         5.425924          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1         00B                 1
    2   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        497   a08ET#~~~~8C~~~00      University of Dayton             8     Brooke Westbeld   -232525        Set               #               6         NaN      NaN        ~        NaN        8           C                 NaN              01                  00                    1                        6          00      19       9      11      15      10       7           1          16          17          10           6           8              3147            <NA>            <NA>   Reception            nan            1.86875           2.092594             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1          00                 1
    3   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        499  a10AT-X5~46CH2~00F      University of Dayton            10      Jamie Peterson    -11802     Attack               -               6          X5      NaN      NaN          4        6           C                   2              01                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4512            5522            8150   Reception      Reception            0.55625            3.12963          0.93125          3.87037          1.98125         5.796294          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1         NaN                 1
    4   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        499   *11BT+~~~~2C~~~00  University of Louisville            11      Anna Stevenson   -278838      Block               +               1         NaN      NaN      NaN        NaN        2           C                 NaN              01                  00                    1                        6          00      19       9      11      15      10       7           1          16          17          10           6           8              4578            <NA>            <NA>       Serve            nan            3.03125            3.12963             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1          00                 2
    5   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        500  *19DT+~~~42AB~~00B  University of Louisville            19     Shannon Shields   -296094        Dig               +               1         NaN      NaN      NaN          4        2           A                 NaN              01                  00                    1                        6         00B      19       9      11      15      10       7           1          16          17          10           6           8              4512            5522            5912       Serve            nan            0.55625            3.12963          0.93125          3.87037          0.55625         4.166666          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1         00B                 2
    6   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        502   *08EH#~~~~8A~~~00  University of Louisville             8       Lexi Hamilton    -75970        Set               #               1         NaN      NaN        ~        NaN        8           A                 NaN              01                  00                    1                        6          00      19       9      11      15      10       7           1          16          17          10           6           8              2859            <NA>            <NA>       Serve            nan            2.31875           1.870372             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1          00                 2
    7   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        504  *09AH#V5~41BH2~00F  University of Louisville             9     Claire Chaussee   -225496     Attack               #               1          V5      NaN      NaN          4        1           B                   2              01                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4316            5517            7918       Serve  BP-Transition            0.70625           2.981482          0.74375          3.87037          0.78125         5.648146          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1         NaN                 2
    8   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        504   a17BH=~~~~2B~~~00      University of Dayton            17          Sierra Pla    -11804      Block               =               6         NaN      NaN      NaN        NaN        2           B                 NaN              01                  00                    1                        6          00      19       9      11      15      10       7           1          16          17          10           6           8              4583            <NA>            <NA>   Reception            nan            3.21875            3.12963             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1          00                 3
    9   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        504             *p01:00  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              01                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4493            <NA>            <NA>       Serve            nan            3.59375           3.055556             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1         NaN                 3
    10  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        519   *19SM#~~~71C~~~+1  University of Louisville            19     Shannon Shields   -296094      Serve               #               1         NaN      NaN      NaN          7        1           C                 NaN              02                  00                    1                        6          +1      19       9      11      15      10       7           1          16          17          10           6           8               529            <NA>            7728       Serve            nan            1.19375            0.16667             <NA>             <NA>          1.15625         5.499998          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             2          +1                 0
    11  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        521  a01RM=~~~51CM~~-1B      University of Dayton             1  Mikaylah Van Lanen   -231069  Reception               =               6         NaN      NaN      NaN          5        1           C                 NaN              02                  00                    1                        6         -1B      19       9      11      15      10       7           1          16          17          10           6           8               529            <NA>            7728   Reception            nan            1.19375            0.16667             <NA>             <NA>          1.15625         5.499998          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             2         -1B                 1
    12  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        522             *p02:00  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              02                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4293            <NA>            <NA>       Serve            nan            3.59375           2.907408             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             2         NaN                 1
    13  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        547   *19SM-~~~71C~~~+2  University of Louisville            19     Shannon Shields   -296094      Serve               -               1         NaN      NaN      NaN          7        1           C                 NaN              03                  00                    1                        6          +2      19       9      11      15      10       7           1          16          17          10           6           8               526            <NA>            7728       Serve            nan            1.08125            0.16667             <NA>             <NA>          1.15625         5.499998          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3          +2                 0
    14  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        548  a01RM+~~~51CR~~-2B      University of Dayton             1  Mikaylah Van Lanen   -231069  Reception               +               6         NaN      NaN      NaN          5        1           C                 NaN              03                  00                    1                        6         -2B      19       9      11      15      10       7           1          16          17          10           6           8               526            <NA>            7728   Reception            nan            1.08125            0.16667             <NA>             <NA>          1.15625         5.499998          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3         -2B                 1
    15  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        549   a08EQ#K1C~3A~~~-2      University of Dayton             8     Brooke Westbeld   -232525        Set               #               6         NaN       K1        C        NaN        3           A                 NaN              03                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4252            <NA>            <NA>   Reception            nan            2.05625           2.907408             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3         NaN                 1
    16  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        550  a16AQ=X1~31AH1~-2F      University of Dayton            16        Olivia Dubay     14555     Attack               =               6          X1      NaN      NaN          3        1           A                   1              03                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4444            <NA>            8913   Reception      Reception            1.75625           3.055556             <NA>             <NA>          0.59375         6.388886          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3         NaN                 1
    17  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        551             *p03:00  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              03                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              1187            <NA>            <NA>       Serve            nan            3.36875           0.611114             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3         NaN                 2
    18  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        565   *19SM#~~~71B~~~+3  University of Louisville            19     Shannon Shields   -296094      Serve               #               1         NaN      NaN      NaN          7        1           B                 NaN              04                  00                    1                        6          +3      19       9      11      15      10       7           1          16          17          10           6           8               527            <NA>            8017       Serve            nan            1.11875            0.16667             <NA>             <NA>          0.74375          5.72222          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             4          +3                 0
    19  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        566  a01RM=~~~51BL~~-3B      University of Dayton             1  Mikaylah Van Lanen   -231069  Reception               =               6         NaN      NaN      NaN          5        1           B                 NaN              04                  00                    1                        6         -3B      19       9      11      15      10       7           1          16          17          10           6           8               527            <NA>            8017   Reception            nan            1.11875            0.16667             <NA>             <NA>          0.74375          5.72222          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             4         -3B                 1
    20  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        568             *p04:00  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              04                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              -113            <NA>            <NA>       Serve            nan            3.36875          -0.351848             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             4         NaN                 1
    21  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        583   *19SM#~~~71C~~~+4  University of Louisville            19     Shannon Shields   -296094      Serve               #               1         NaN      NaN      NaN          7        1           C                 NaN              05                  00                    1                        6          +4      19       9      11      15      10       7           1          16          17          10           6           8               529            <NA>            7925       Serve            nan            1.19375            0.16667             <NA>             <NA>          1.04375         5.648146          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             5          +4                 0
    22  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        584  a02RM=~~~51CR~~-4B      University of Dayton             2       Maura Collins   -230138  Reception               =               6         NaN      NaN      NaN          5        1           C                 NaN              05                  00                    1                        6         -4B      19       9      11      15      10       7           1          16          17          10           6           8               529            <NA>            7925   Reception            nan            1.19375            0.16667             <NA>             <NA>          1.04375         5.648146          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             5         -4B                 1
    23  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        586             *p05:00  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              05                  00                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              2293            <NA>            <NA>       Serve            nan            3.59375           1.425928             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             5         NaN                 1
    24  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        602   *19SM-~~~79D~~~+5  University of Louisville            19     Shannon Shields   -296094      Serve               -               1         NaN      NaN      NaN          7        9           D                 NaN              05                  01                    1                        6          +5      19       9      11      15      10       7           1          16          17          10           6           8               532            <NA>            7631       Serve            nan            1.30625            0.16667             <NA>             <NA>          1.26875         5.425924          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6          +5                 0
    25  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        603  a02RM#~~~59DR~~-5B      University of Dayton             2       Maura Collins   -230138  Reception               #               6         NaN      NaN      NaN          5        9           D                 NaN              05                  01                    1                        6         -5B      19       9      11      15      10       7           1          16          17          10           6           8               532            <NA>            7631   Reception            nan            1.30625            0.16667             <NA>             <NA>          1.26875         5.425924          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6         -5B                 1
    26  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        604   a08ET#K1F~3C~~~-5      University of Dayton             8     Brooke Westbeld   -232525        Set               #               6         NaN       K1        F        NaN        3           C                 NaN              05                  01                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4549            <NA>            <NA>   Reception            nan            1.94375            3.12963             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6         NaN                 1
    27  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        605  a10AT#X5~45BH4~-5F      University of Dayton            10      Jamie Peterson    -11802     Attack               #               6          X5      NaN      NaN          4        5           B                   4              05                  01                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              4513            <NA>            8469   Reception      Reception            0.59375            3.12963             <NA>             <NA>          2.69375         6.018516          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6         NaN                 1
    28  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        606             ap05:01      University of Dayton           NaN                 NaN       NaN      Point             NaN               6         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              05                  01                    1                        6         NaN      19       9      11      15      10       7           1          16          17          10           6           8              1631            <NA>            <NA>   Reception            nan            1.26875           0.981484             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6         NaN                 2
    29  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        623   a02SM+~~~54A~~~-4      University of Dayton             2       Maura Collins   -230138      Serve               +               5         NaN      NaN      NaN          5        4           A                 NaN              06                  01                    1                        5          -4      19       9      11      15      10       7          16          17          10           6           8           1               122            <NA>            6367       Serve            nan            0.93125          -0.129626             <NA>             <NA>          2.61875         4.462962          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7          -4                 0
    30  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        625  *11RM-~~~54AR~~+4F  University of Louisville            11      Anna Stevenson   -278838  Reception               -               1         NaN      NaN      NaN          5        4           A                 NaN              06                  01                    1                        5         +4F      19       9      11      15      10       7          16          17          10           6           8           1               122            <NA>            6367   Reception            nan            0.93125          -0.129626             <NA>             <NA>          2.61875         4.462962          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         +4F                 1
    31  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        627   *19ET#~~~~8C~~~+4  University of Louisville            19     Shannon Shields   -296094        Set               #               1         NaN      NaN        ~        NaN        8           C                 NaN              06                  01                    1                        5          +4      19       9      11      15      10       7          16          17          10           6           8           1              3146            <NA>            <NA>   Reception            nan            1.83125           2.092594             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7          +4                 1
    32  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        628  *09AT+X5~46CH2~+4F  University of Louisville             9     Claire Chaussee   -225496     Attack               +               1          X5      NaN      NaN          4        6           C                   2              06                  01                    1                        5         NaN      19       9      11      15      10       7          16          17          10           6           8           1              4210            5525            7851   Reception      Reception            0.48125           2.907408          1.04375          3.87037          2.01875         5.574072          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         NaN                 1
    33  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        628   a06BT/~~~~2C~~~-4      University of Dayton             6        Amelia Moore   -230139      Block               /               5         NaN      NaN      NaN        NaN        2           C                 NaN              06                  01                    1                        5          -4      19       9      11      15      10       7          16          17          10           6           8           1              4575            <NA>            <NA>       Serve            nan            2.91875            3.12963             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7          -4                 2
    34  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        629  *15DT+~~~43CC~~+4F  University of Louisville            15          Aiko Jones   -224838        Dig               +               1         NaN      NaN      NaN          4        3           C                 NaN              06                  01                    1                        5         +4F      19       9      11      15      10       7          16          17          10           6           8           1              5890            4575            5650   Reception            nan            3.48125           4.092592          2.91875          3.12963          1.98125         3.944444          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         +4F                 2
    35  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        630   *19ET#~~~~8C~~~+4  University of Louisville            19     Shannon Shields   -296094        Set               #               1         NaN      NaN        ~        NaN        8           C                 NaN              06                  01                    1                        5          +4      19       9      11      15      10       7          16          17          10           6           8           1              3240            <NA>            <NA>   Reception            nan            1.60625           2.166668             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7          +4                 2
    36  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        631  *09AT#X5~49DT2~+4F  University of Louisville             9     Claire Chaussee   -225496     Attack               #               1          X5      NaN      NaN          4        9           D                   2              06                  01                    1                        5         NaN      19       9      11      15      10       7          16          17          10           6           8           1              4414            <NA>            7024   Reception  SO-Transition            0.63125           3.055556             <NA>             <NA>          1.00625          4.98148          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         NaN                 2
    37  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        632  a08DT=~~~49DS~~-4B      University of Dayton             8     Brooke Westbeld   -232525        Dig               =               5         NaN      NaN      NaN          4        9           D                 NaN              06                  01                    1                        5         -4B      19       9      11      15      10       7          16          17          10           6           8           1              4414            <NA>            7024       Serve            nan            0.63125           3.055556             <NA>             <NA>          1.00625          4.98148          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         -4B                 3
    38  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        634             *p06:01  University of Louisville           NaN                 NaN       NaN      Point             NaN               1         NaN      NaN      NaN        NaN      NaN         NaN                 NaN              06                  01                    1                        5         NaN      19       9      11      15      10       7          16          17          10           6           8           1              -155            <NA>            <NA>   Reception            nan            1.79375          -0.351848             <NA>             <NA>             <NA>             <NA>          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7         NaN                 3
    39  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        652   *09SM/~~~97A~~~+5  University of Louisville             9     Claire Chaussee   -225496      Serve               /               6         NaN      NaN      NaN          9        7           A                 NaN              07                  01                    6                        5          +5       9      11      15      10       7      19          16          17          10           6           8           1               463            <NA>            7473       Serve            nan            2.46875           0.092596             <NA>             <NA>          2.84375         5.277776          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             8          +5                 0
    Attacks filtered
                                    match_id video_file_number video_time                code                      team player_number      player_name player_id   skill evaluation_code setter_position attack_code start_zone end_zone end_subzone num_players_numeric home_team_score visiting_team_score home_setter_position visiting_setter_position home_p1 home_p2 home_p3 home_p4 home_p5 home_p6 visiting_p1 visiting_p2 visiting_p3 visiting_p4 visiting_p5 visiting_p6  start_coordinate  mid_coordinate  end_coordinate point_phase   attack_phase start_coordinate_x start_coordinate_y mid_coordinate_x mid_coordinate_y end_coordinate_x end_coordinate_y set_number                 home_team         visiting_team home_team_id visiting_team_id              point_won_by              serving_team            receiving_team  rally_number  possesion_number
    0   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        499  a10AT-X5~46CH2~00F      University of Dayton            10   Jamie Peterson    -11802  Attack               -               6          X5          4        6           C                   2              01                  00                    1                        6      19       9      11      15      10       7           1          16          17          10           6           8              4512            5522            8150   Reception      Reception            0.55625            3.12963          0.93125          3.87037          1.98125         5.796294          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1                 1
    1   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        504  *09AH#V5~41BH2~00F  University of Louisville             9  Claire Chaussee   -225496  Attack               #               1          V5          4        1           B                   2              01                  00                    1                        6      19       9      11      15      10       7           1          16          17          10           6           8              4316            5517            7918       Serve  BP-Transition            0.70625           2.981482          0.74375          3.87037          0.78125         5.648146          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             1                 2
    2   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        550  a16AQ=X1~31AH1~-2F      University of Dayton            16     Olivia Dubay     14555  Attack               =               6          X1          3        1           A                   1              03                  00                    1                        6      19       9      11      15      10       7           1          16          17          10           6           8              4444            <NA>            8913   Reception      Reception            1.75625           3.055556             <NA>             <NA>          0.59375         6.388886          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             3                 1
    3   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        605  a10AT#X5~45BH4~-5F      University of Dayton            10   Jamie Peterson    -11802  Attack               #               6          X5          4        5           B                   4              05                  01                    1                        6      19       9      11      15      10       7           1          16          17          10           6           8              4513            <NA>            8469   Reception      Reception            0.59375            3.12963             <NA>             <NA>          2.69375         6.018516          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             6                 1
    4   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        628  *09AT+X5~46CH2~+4F  University of Louisville             9  Claire Chaussee   -225496  Attack               +               1          X5          4        6           C                   2              06                  01                    1                        5      19       9      11      15      10       7          16          17          10           6           8           1              4210            5525            7851   Reception      Reception            0.48125           2.907408          1.04375          3.87037          2.01875         5.574072          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7                 1
    5   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        631  *09AT#X5~49DT2~+4F  University of Louisville             9  Claire Chaussee   -225496  Attack               #               1          X5          4        9           D                   2              06                  01                    1                        5      19       9      11      15      10       7          16          17          10           6           8           1              4414            <NA>            7024   Reception  SO-Transition            0.63125           3.055556             <NA>             <NA>          1.00625          4.98148          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville             7                 2
    6   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        653  *15AO+~~~27CT0~+5F  University of Louisville            15       Aiko Jones   -224838  Attack               +               6         NaN          2        7           C                   0              07                  01                    6                        5       9      11      15      10       7      19          16          17          10           6           8           1              4570            <NA>            6987       Serve            nan            2.73125            3.12963             <NA>             <NA>          3.36875         4.907406          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             8                 1
    7   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        656  *15AO+~~~22DT1~+5F  University of Louisville            15       Aiko Jones   -224838  Attack               +               6         NaN          2        2           D                   1              07                  01                    6                        5       9      11      15      10       7      19          16          17          10           6           8           1              4572            <NA>            6331       Serve            nan            2.80625            3.12963             <NA>             <NA>          1.26875         4.462962          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             8                 2
    8   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        658  *15AO-~~~26CP2~+5F  University of Louisville            15       Aiko Jones   -224838  Attack               -               6         NaN          2        6           C                   2              07                  01                    6                        5       9      11      15      10       7      19          16          17          10           6           8           1              4572            5469            8060       Serve            nan            2.80625            3.12963          2.69375         3.796296          2.35625          5.72222          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             8                 3
    9   ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        662  a10AH=V5~45CP2~-5F      University of Dayton            10   Jamie Peterson    -11802  Attack               =               5          V5          4        5           C                   2              07                  01                    6                        5       9      11      15      10       7      19          16          17          10           6           8           1              4212            <NA>            7893   Reception  SO-Transition            0.55625           2.907408             <NA>             <NA>          3.59375         5.574072          1  University of Louisville  University of Dayton           17               42  University of Louisville  University of Louisville      University of Dayton             8                 4
    10  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        770  *15AT=X6~29AH4~+6F  University of Louisville            15       Aiko Jones   -224838  Attack               =               6          X6          2        9           A                   4              07                  02                    6                        5       9      11      15      10       7      19          16          17          10           6           8           1              4480            <NA>            7207       Serve  BP-Transition            3.10625           3.055556             <NA>             <NA>          0.36875         5.129628          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton             9                 1
    11  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        797  *11AQ#X1~39DH1~+5F  University of Louisville            11   Anna Stevenson   -278838  Attack               #               6          X1          3        9           D                   1              08                  02                    6                        4       9      11      15      10       7      19           3          10           6           8           1          16              4246            <NA>            7026   Reception      Reception            1.83125           2.907408             <NA>             <NA>          1.08125          4.98148          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville            10                 1
    12  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        838  *10AO-~~~79DP2~+5F  University of Louisville            10      Mel McHenry    -75967  Attack               -               5         NaN          7        9           D                   2              09                  03                    5                        3      11      15      10       7      19       9          10           6           8           5          16           3              3232            <NA>            7329   Reception      Reception            1.30625           2.166668             <NA>             <NA>          1.19375         5.203702          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville            12                 1
    13  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        841  a08AM-X3~39CH1~-5F      University of Dayton             8  Brooke Westbeld   -232525  Attack               -               3          X3          3        9           C                   1              09                  03                    5                        3      11      15      10       7      19       9          10           6           8           5          16           3              4647            <NA>            6934       Serve  BP-Transition            1.86875           3.203704             <NA>             <NA>          1.38125         4.907406          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville            12                 2
    14  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        846  *15AH#V6~25BH2~+5F  University of Louisville            15       Aiko Jones   -224838  Attack               #               5          V6          2        5           B                   2              09                  03                    5                        3      11      15      10       7      19       9          10           6           8           5          16           3              4484            5482            8078   Reception  SO-Transition            3.25625           3.055556          3.18125         3.796296          3.03125          5.72222          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville            12                 3
    15  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        878  a08AO#PP~31B~~~-6F      University of Dayton             8  Brooke Westbeld   -232525  Attack               #               3          PP          3        1           B                   ~              09                  04                    4                        3      12      10       7      25       9      11          10           6           8           5          16           3              4554            <NA>            8114   Reception      Reception            2.13125            3.12963             <NA>             <NA>          0.63125         5.796294          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton            13                 1
    16  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        926  *07AN#CB~27BH1~+4F  University of Louisville             7      Emily Scott   -224837  Attack               #               4          CB          2        7           B                   1              10                  05                    4                        2      12      10       7      25       9      11           6           8           5          16           3          10              4490            5580            6670   Reception      Reception            3.48125           3.055556          3.10625          3.87037          2.73125         4.685184          1  University of Louisville  University of Dayton           17               42  University of Louisville      University of Dayton  University of Louisville            15                 1
    17  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        946  a08AO-PP~34D~~~-5F      University of Dayton             8  Brooke Westbeld   -232525  Attack               -               2          PP          3        4           D                   ~              10                  06                    3                        2      10       7      25       9      11      12           6           8           5          16           3          10              4668            <NA>            5883   Reception      Reception            2.65625           3.203704             <NA>             <NA>          3.21875         4.092592          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton            16                 1
    18  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        950  *25AT-X6~26CP4~+5F  University of Louisville            25    Amaya Tillman   -278840  Attack               -               3          X6          2        6           C                   4              10                  06                    3                        2      10       7      25       9      11      12           6           8           5          16           3          10              4186            <NA>            7850       Serve  BP-Transition            3.33125           2.833334             <NA>             <NA>          1.98125         5.574072          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton            16                 2
    19  ccec04e5-9fa6-4edd-80fd-1263050c8275                 1        953  a16AQ-X1~38DH1~-5F      University of Dayton            16     Olivia Dubay     14555  Attack               -               2          X1          3        8           D                   1              10                  06                    3                        2      10       7      25       9      11      12           6           8           5          16           3          10              4541            <NA>            7650   Reception  SO-Transition            1.64375            3.12963             <NA>             <NA>          1.98125         5.425924          1  University of Louisville  University of Dayton           17               42      University of Dayton  University of Louisville      University of Dayton            16                 3
